Doomsday Engine - Feature #1449

Bug # 778 (Progressed): Gamepad usability issues
Setup bindings/controls via taskbar Ul
2007-06-07 09:48 - harryboam

Status: Progressed Start date: 2007-06-07
Priority: Urgent % Done: 10%
Assignee: Deng Team

Category: User experience

Target version: Input and game controllers

Description

I think it would greatly ease the use of Doomsday for first time users if all the options were done from the control panel, such as the
controls, HUD options etc as you can use a mouse to select things, so would get the job done fairly quickly. Or it would be nice to

have an extra tab in snowberry to set the controls.

Labels: Customizability

Related issues:
Related to Feature #4: Ul improvements
Related to Feature #1217: Controls for all supported games adjusted at the sa...

In Progress  2003-06-17
New 2003-06-30

History

#1 - 2013-10-22 09:02 - skyjake

- Tags set to Ul, Input, Bindings, TaskBar

- Subject changed from All options from control panel to Setup bindings/controls via taskbar Ul
- Category set to User experience

- Priority changed from Normal to High

#2 - 2013-10-22 19:01 - skyjake

- Parent task set to #4

#3 - 2014-04-22 17:28 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 10

A simple key binding widget exists for the Console shortcut key.

#4 - 2015-04-22 04:47 - danij

- Target version set to 44

#5 - 2015-05-03 14:30 - skyjake

- Target version changed from 44 to Rendering

#6 - 2015-11-03 09:21 - skyjake
- Related to deleted (Bug #778: Gamepad usability issues)

#7 - 2015-11-03 09:21 - skyjake
- Parent task changed from #4 to #778

#8 - 2015-11-03 09:22 - skyjake

- Related to Feature #4: Ul improvements added

#9 - 2015-11-24 19:04 - skyjake

- Assignee set to Deng Team
- Priority changed from High to Urgent

#10 - 2016-03-27 08:37 - skyjake

- Target version changed from Rendering to Input and game controllers

#11 - 2016-07-05 23:54 - skyjake

- Status changed from In Progress to Progressed

#12 - 2016-08-09 10:37 - skyjake

- Related to Feature #1217: Controls for all supported games adjusted at the same time added
